# Uses of Class
org.eclipse.birt.chart.computation.Rectangle

Packages that use Rectangle
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.

## Uses of Rectangle in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Rectangle
Modifier and Type
Method
Description
`Rectangle`
Rectangle.`createIntersection(Rectangle r)`
Returns a new `Rectangle` object representing the intersection of this `Rectangle` with the specified `Rectangle`.
`Rectangle`
Rectangle.`createUnion(Rectangle r)`
Returns a new `Rectangle` object representing the union of this `Rectangle` with the specified `Rectangle`.
`Rectangle`
Polygon.`getBounds()`
`Rectangle`
Rectangle.`getBounds2D()`
Returns the high precision bounding box of this `Rectangle`.
`static Rectangle`
Rectangle.`union(Rectangle rect1, Rectangle rect2)`
Methods in org.eclipse.birt.chart.computation with parameters of type Rectangle
Modifier and Type
Method
Description
`Rectangle`
Rectangle.`createIntersection(Rectangle r)`
Returns a new `Rectangle` object representing the intersection of this `Rectangle` with the specified `Rectangle`.
`Rectangle`
Rectangle.`createUnion(Rectangle r)`
Returns a new `Rectangle` object representing the union of this `Rectangle` with the specified `Rectangle`.
`void`
Rectangle.`setRect(Rectangle r)`
Sets this `Rectangle` to be the same as the specified `Rectangle`.
`void`
Rectangle.`union(Rectangle rect)`
`static Rectangle`
Rectangle.`union(Rectangle rect1, Rectangle rect2)`

## Uses of Rectangle in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return Rectangle
Modifier and Type
Method
Description
`Rectangle`
PlotWith3DAxes.`get3DGraphicBoudingRect()`
`Rectangle[]`
PlotWith3DAxes.`getAllAxisLabelBounds()`
`Rectangle`
PlotWith3DAxes.`getAxisLabelBoundingRectXZ(OneAxis oax)`
`Rectangle[]`
PlotWith3DAxes.`getAxisLabelBoundingRectY(OneAxis oax)`
`Rectangle`
PlotWith3DAxes.`getBoundsOfAllAxisLabels()`